De-deploy the RelatedSites extension (used on Wikivoyage)
Open, Stalled, LowPublic

Description

Ancient custom Wikitravel extension, used only on Wikivoyage and unmaintained. Adds duplicate links to other Wikimedia wikis (now handled by Wikibase) and harmful links to the DMOZ wasteland.

In MonoBook:
In Vector:

Local discussions

The outcome of this "RFC" is also not too clear whether approval of disabling is okay:

There are a very large number of changes, so older changes are hidden. Show Older Changes

[ Adding @Andyrom75 whom studied the question for it.wikivoyage ]

Dereckson updated the task description. (Show Details)Mar 12 2016, 9:18 PM

Where do the "Other projects" links come from?

It seems very obvious to me that including links to Wikipedia and Wikimedia Commons twice in the sidebar is silly and should be fixed as soon as possible.

Dereckson added a comment.EditedMar 13 2016, 4:09 AM

These links are manually added to the article body like the langlinks:

[[Wikipedia:Paris]]
[[Commons:Paris]]

So this is a cleaning task for the wikis, like it.wikivoyage did, to remove these links from each page.

If we'd remove it from the config, we would add red links at the bottom of each article.

In https://it.wikivoyage.org this extension is not used for WMF project (managed through Wikidata + custom local template), but is used to link any article to other sources (e.g. pages stored in Portale Namespace).

I would agree that is not a fundamental feature, but considering that it doesn't hurt anyone, I would leave it as it is.

it doesn't hurt anyone

Not true, see also MZ's point above.

@Andyrom75 I were unable to find any other page than https://it.wikivoyage.org/wiki/L%27Avana any example using dmoz. And I were unable to find pages using another link. Could you give us some samples about how this is used for the Portale pages?

@Nemo_bis: maybe the other voy language versions have some bad configuration on extensions or on local templates/modules
@Dereckson: take for example any Italian city (e.g. https://it.wikivoyage.org/wiki/Firenze) On left side you can find "In altri progetti" menu based on Wikidata, and "Pagine correlate" based on RelatedSites.

Dereckson added a comment.EditedMar 14 2016, 10:11 AM

@Nemo_bis: maybe the other voy language versions have some bad configuration on extensions or on local templates/modules

On en. and fr., there are manual links put at the bottom of the article, exactly like the dmoz you can find on L'avana.

@Dereckson: take for example any Italian city (e.g. https://it.wikivoyage.org/wiki/Firenze) On left side you can find "In altri progetti" menu based on Wikidata, and "Pagine correlate" based on RelatedSites.

No, it's based on another extension, RelatedArticles, while this bug is about RelatedSites.

@Dereckson: I've thought this discussion was based on the magic word "#related". In previous posts I was referring to it.

In it:voy is not commonly used dmoz, however, based on what I see on https://it.wikivoyage.org/wiki/L%27Avana it creates a different menu (i.e. Altri progetti) form the one where the WMF project are stored (i.e. In altri progetti).
Uninstalling the RelatedSites extension, where will be stored those info?

On french Wikivoyage, the links to relatedsite extention use wikidata links through the page banner template (https://fr.wikivoyage.org/wiki/Mod%C3%A8le:Banni%C3%A8re_page). Remove them is technically very easy.

@Adehertogh No that's a third extension, WikidataPageBanner. The RelatedSite extension is only responsible for the block "Autres projets" not managed by Wikidata.

@Dereckson: I've thought this discussion was based on the magic word "#related". In previous posts I was referring to it.

In it:voy is not commonly used dmoz, however, based on what I see on https://it.wikivoyage.org/wiki/L%27Avana it creates a different menu (i.e. Altri progetti) form the one where the WMF project are stored (i.e. In altri progetti).
Uninstalling the RelatedSites extension, where will be stored those info?

We can add an option to the extension to add links to a specific element, so it would add the dmoz link to the other Other projects block, with the links managed through Wikidata.

But do we really want an extension for ONE page?

By the way, @Nemo_bis suggests DMOZ is harmful and unmaintained, and, according them, it's a bad idea to continue to link to dmoz.

I would agree with the fact that is not maintained, but I don't see how it can be harmful if addressed to the right menu.
By the way, as said, the DMOZ are not commonly used in it:voy because most of the category are in English and not in Italian, that's way we haven't integrated DMOZ in any other template (leaving this decision to the single editor); so personally I do not have nothing in contrary on any direction (fix it or delete it).
Just let me know in the second case in order to adjust the affected articles.

@Dereckson I just wanted to say that the code [[Commons:Category:{{#property:P373}}]] and {{Lien Wikipédia}} are included in the french banner template. It has nothing to do with the WikidataPageBanner it was just a way to don't add manually wikipedia and commons links and because banner template is present on all pages. I added a notice in the local pub to remove those links from the banner template.

An other thing is that the "Cite this page" link is also in the "Related sites" in french, english or italian (I havent checked the other language versions.

An other thing is that the "Cite this page" link is also in the "Related sites" in french, english or italian (I havent checked the other language versions.

This was a bug, it was supposed to be in the toolbox. T140290: On Wikivoyages with "related sites", the cite this page link is in the wrong section.

Jdforrester-WMF renamed this task from Uninstall the RelatedSites extension to De-deploy the RelatedSites extension.Aug 3 2016, 12:16 AM
Jdforrester-WMF updated the task description. (Show Details)
ovasileva triaged this task as Normal priority.Dec 8 2016, 2:00 PM
ovasileva lowered the priority of this task from Normal to Low.
Aklapper renamed this task from De-deploy the RelatedSites extension to De-deploy the RelatedSites extension (used on Wikivoyage).Jan 26 2017, 4:50 PM
Koavf added a subscriber: Koavf.EditedJan 27 2017, 6:54 AM

For what it's worth, I've just run across this discussion and I figured I would point out that we have discussed DMOZ at least twice at the Pub on en.voy and there was enough of a consensus to keep it (or at least not enough of one to remove it) and we even have a tracking category for pages which *lack* DMOZ. I check the Pub daily and don't recall seeing this ticket brought up there.

Jdlrobson changed the task status from Open to Stalled.Feb 2 2017, 6:52 PM
Jdlrobson moved this task from Triaged but Future to Needs Analysis on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.

I'm confused. Do we want to do this or not? Bug is almost a year old. I am doing a SWAT today and was wondering if I should do this but I'm a bit lost if this has been approved by community and if there are any blockers. Please can someone update the description?

Elitre updated the task description. (Show Details)Feb 3 2017, 9:30 AM

At the German Wikivoyage we use it mostly in the User namespace because there is no substitute. This should be discussed with the Wikidata team to add such a functionality adding additional items to the "Other project". I ask for such a topic at https://www.mediawiki.org/wiki/Topic:S4zoh1qx8zs2t1qq but we could not find a solution.

Change 335830 had a related patch set uploaded (by Jdlrobson):
Disable RelatedSites on English, French and Italian Wikivoyages

https://gerrit.wikimedia.org/r/335830

So this should be interpreted as disable the extension on fr,it and en wikivoyage (leaving it on other Wikivoyages)? I assume there are no blockers (e.g. edits that community members have to make?) and the above patch

(Or would it be better to just enable this only on German Wikivoyage?)

Koavf added a comment.Mar 2 2017, 1:08 AM

AOL just announced that DMOZ is going offline in two weeks. The community will fork/mirror somewhere else but it's not clear when or where at the moment.

@Nemo_bis as the task creator can you help me make sense of what needs to happen here ^

MaxSem added a subscriber: MaxSem.EditedMar 14 2017, 10:16 PM

DMOZ is closing today - I've prepared https://gerrit.wikimedia.org/r/#/c/342753/ to hide it. With its removal, we still need to remove Wikipedia and Commons links as duplicates. This leaves only Citizendium which is very dead by now and has virtually no information beyond what WP already has. Time to undeploy, I'd say. Current RelatedSites usage (EDIT: this data is wrong):

maxsem@tin:~$ foreachwikiindblist wikivoyage.dblist sql.php --query="select iwl_prefix, count(*) as num from iwlinks where iwl_prefix in ('wikipedia', 'commons', 'dmoz', 'citizendium') group by iwl_prefix order by num desc" | grep '\['

dewikivoyage:      [iwl_prefix] => commons
dewikivoyage:      [num] => 2086
dewikivoyage:      [iwl_prefix] => wikipedia
dewikivoyage:      [num] => 1872
dewikivoyage:      [iwl_prefix] => dmoz
dewikivoyage:      [num] => 3
dewikivoyage:      [iwl_prefix] => citizendium
dewikivoyage:      [num] => 1
elwikivoyage:      [iwl_prefix] => commons
elwikivoyage:      [num] => 2044
elwikivoyage:      [iwl_prefix] => wikipedia
elwikivoyage:      [num] => 2
enwikivoyage:      [iwl_prefix] => wikipedia
enwikivoyage:      [num] => 2035
enwikivoyage:      [iwl_prefix] => commons
enwikivoyage:      [num] => 1616
enwikivoyage:      [iwl_prefix] => dmoz
enwikivoyage:      [num] => 6
eswikivoyage:      [iwl_prefix] => commons
eswikivoyage:      [num] => 2351
eswikivoyage:      [iwl_prefix] => wikipedia
eswikivoyage:      [num] => 18
fawikivoyage:      [iwl_prefix] => commons
fawikivoyage:      [num] => 168
fawikivoyage:      [iwl_prefix] => wikipedia
fawikivoyage:      [num] => 16
fiwikivoyage:      [iwl_prefix] => wikipedia
fiwikivoyage:      [num] => 138
fiwikivoyage:      [iwl_prefix] => commons
fiwikivoyage:      [num] => 5
frwikivoyage:      [iwl_prefix] => wikipedia
frwikivoyage:      [num] => 510
frwikivoyage:      [iwl_prefix] => commons
frwikivoyage:      [num] => 234
hewikivoyage:      [iwl_prefix] => commons
hewikivoyage:      [num] => 1793
hewikivoyage:      [iwl_prefix] => wikipedia
hewikivoyage:      [num] => 7
itwikivoyage:      [iwl_prefix] => commons
itwikivoyage:      [num] => 168
itwikivoyage:      [iwl_prefix] => wikipedia
itwikivoyage:      [num] => 24
nlwikivoyage:      [iwl_prefix] => wikipedia
nlwikivoyage:      [num] => 321
nlwikivoyage:      [iwl_prefix] => commons
nlwikivoyage:      [num] => 55
nlwikivoyage:      [iwl_prefix] => dmoz
nlwikivoyage:      [num] => 1
plwikivoyage:      [iwl_prefix] => wikipedia
plwikivoyage:      [num] => 52
plwikivoyage:      [iwl_prefix] => commons
plwikivoyage:      [num] => 33
ptwikivoyage:      [iwl_prefix] => wikipedia
ptwikivoyage:      [num] => 109
ptwikivoyage:      [iwl_prefix] => commons
ptwikivoyage:      [num] => 42
ptwikivoyage:      [iwl_prefix] => dmoz
ptwikivoyage:      [num] => 1
rowikivoyage:      [iwl_prefix] => commons
rowikivoyage:      [num] => 21
rowikivoyage:      [iwl_prefix] => wikipedia
rowikivoyage:      [num] => 3
ruwikivoyage:      [iwl_prefix] => commons
ruwikivoyage:      [num] => 145266
ruwikivoyage:      [iwl_prefix] => wikipedia
ruwikivoyage:      [num] => 343
svwikivoyage:      [iwl_prefix] => commons
svwikivoyage:      [num] => 60
svwikivoyage:      [iwl_prefix] => wikipedia
svwikivoyage:      [num] => 34
ukwikivoyage:      [iwl_prefix] => wikipedia
ukwikivoyage:      [num] => 88
ukwikivoyage:      [iwl_prefix] => commons
ukwikivoyage:      [num] => 36
viwikivoyage:      [iwl_prefix] => wikipedia
viwikivoyage:      [num] => 217
viwikivoyage:      [iwl_prefix] => commons
viwikivoyage:      [num] => 25
zhwikivoyage:      [iwl_prefix] => commons
zhwikivoyage:      [num] => 177
zhwikivoyage:      [iwl_prefix] => wikipedia
zhwikivoyage:      [num] => 37
zhwikivoyage:      [iwl_prefix] => dmoz
zhwikivoyage:      [num] => 1

Are we definitely un-deploying it if there is a mirror available for DMOZ?

There are only 11 DMOZ links left anyway.

? That is not true even on en.voy. E.g.: https://en.wikivoyage.org/wiki/Brazil, https://en.wikivoyage.org/wiki/Indianapolis, and all 50 U. S. states have them. That's just from a random clicking about... Where are you getting this number?

From the query above. Guess there was something wrong with it.

Yes, it is somehow missing several thousand incoming links from across language editions. I know it is popular in de.voy and en.voy.

Okay, I've disabled DMOZ links for now. This just removes them from interface, they can be readded back at any time.

This leaves only Citizendium which is very dead by now and has virtually no information beyond what WP already has. Time to undeploy, I'd say.

+1

Nemo_bis changed the task status from Stalled to Open.Mar 15 2017, 7:40 AM

Thanks @MaxSem
Is https://gerrit.wikimedia.org/r/335830 relevant? Does it need amending/abandoning in favour of something else? I'm not sure what the process for undeploying is.
Who's going to make sure this happens? Do we need approval from anyone else?

Disabling the extension is the first step and is a normal configuration change (in this case there is a global consensus), it can be done in multiple steps beginning from https://gerrit.wikimedia.org/r/335830 . Once the extension is disabled everywhere, we can immediately remove the configuration from mediawiki-config and then the branching tools (the reverse of https://wikitech.wikimedia.org/wiki/Heterogeneous_deployment#Add_new_extensions_to_extension-list etc.).

Jdlrobson changed the task status from Open to Stalled.Apr 6 2017, 5:00 PM

Really not sure about what's going on here. If someone understands this and wants to take ownership and responsibility that would be great. I assume this is stalled until tech announcement.

Nemo_bis changed the task status from Stalled to Open.Apr 6 2017, 7:28 PM

There is no missing information, this is not stalled.

Jdlrobson assigned this task to Nemo_bis.Apr 6 2017, 7:53 PM
Jdlrobson removed a subscriber: Jdlrobson.

I didn't say there was no missing information. I said there needed to be ownership. Looks like you are offering that, so great! :)

Change 335830 abandoned by Jdlrobson:
Disable RelatedSites on English, French and Italian Wikivoyages

Reason:
Dont know what's happening here.

https://gerrit.wikimedia.org/r/335830

Jdlrobson updated the task description. (Show Details)May 4 2017, 12:39 AM

Change 335830 restored by Jdlrobson:
Disable RelatedSites on English, French and Italian Wikivoyages

https://gerrit.wikimedia.org/r/335830

For the record I'm very happy to disable these extensions (I don't like unmaintained code on our cluster), I just want to make sure if challenged I can point to appropriate discussions. The village pump links are very old and it would be good to summarise the outcomes of those discussions.

Jdlrobson changed the task status from Open to Stalled.Jun 14 2017, 8:56 PM
Jdlrobson added a project: Community-Liaisons.

Okay, there is still not clarity here (due to the dead links in the description an missing links for other projects).

If someone can post out to all the village pumps of Wikivoyage notifying communities that we are going to undeploy this, I will happily go ahead and swat this myself. Marking as stalled until that notice has gone out.

Aklapper updated the task description. (Show Details)Jul 4 2017, 8:11 AM
In T128326#3349777, Jdlrobson wrote:

Okay, there is still not clarity here (due to the dead links in the description an missing links for other projects).

I fixed the dead links in the task description.

@Jdlrobson added a project: Community-Liaisons.

As the Community-Liaisons project was added to this task, I am copying their usual template to ask for clarification:

  1. What is the problem?
  2. How does success of this task look like? How do we know when we are done?
  3. Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
  4. What is your expected timeline from start to end? Is there a hard deadline?
Elitre moved this task from Backlog to Team radar on the Community-Liaisons board.Sep 5 2017, 6:43 AM

Change 335830 abandoned by Jdlrobson:
Disable RelatedSites on English, French and Italian Wikivoyages

https://gerrit.wikimedia.org/r/335830